Bug 1392457 - Review request: python2 - An interpreted, interactive, object-oriented programming language
Summary: Review request: python2 - An interpreted, interactive, object-oriented progra...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-07 14:39 UTC by Charalampos Stratakis
Modified: 2017-08-07 11:04 UTC (History)
3 users (show)

Fixed In Version: python2-2.7.12-9.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-07 11:04:48 UTC
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Charalampos Stratakis 2016-11-07 14:39:21 UTC
Spec URL: https://github.com/fedora-python/python2-spec/blob/py2rename/python.spec

Diff from master branch: https://github.com/fedora-python/python2-spec/compare/py2rename

SRPM URL: https://cstratak.fedorapeople.org/python2-2.7.12-9.fc26.src.rpm

Fedora Account System Username: cstratak

With Python 2 reaching end of life at 2020 and also having by default in Fedora the Python 3 version of the language it only makes sense to explicitly reflect in the name of the package, the respective major version. Also in the future, there is a high possibility that python will refer only to python3.

Thus I would like to rename python to python2.

The package still virtually provide the python name. All the changes in the SPEC file are in the posted github link. The change is intended only for rawhide.

This can be tested by using a rawhide machine and enabling my copr repo [0] where I have a build with the renamed python: dnf copr enable cstratak/Python2

Then by invoking "dnf update" or "dnf update python" the python2 package will be installed, replacing the python package with no conflicts.

[0] https://copr.fedorainfracloud.org/coprs/cstratak/Python2/build/473988/

Comment 1 Miro Hrončok 2016-11-09 13:09:27 UTC
Posting raw links for Fedora Review to work.

Spec URL: https://raw.githubusercontent.com/fedora-python/python2-spec/py2rename/python.spec
SRPM URL: https://cstratak.fedorapeople.org/python2-2.7.12-9.fc26.src.rpm

Comment 2 Miro Hrončok 2016-11-11 15:39:50 UTC
You need to rename the specfile as well:

- Spec file name must match the spec package %{name}, in the format
  %{name}.spec.
  Note: python.spec should be python2.spec
  See:
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Spec_file_name

Comment 3 Charalampos Stratakis 2016-11-14 10:34:10 UTC
Renamed the specfile to python2.spec.

Also removed the provides for python-abi (as only python(abi) is required by other packages).

Spec URL: https://raw.githubusercontent.com/fedora-python/python2-spec/py2rename/python2.spec

SRPM URL: https://cstratak.fedorapeople.org/python2-2.7.12-9.fc26.src.rpm

Comment 4 Charalampos Stratakis 2016-12-05 14:47:53 UTC
Also another addition. Implemented PEP 394[0], at this commit [1] so now all the binaries are provided in the form of bin2 and bin2.7 


[0] https://www.python.org/dev/peps/pep-0394/

[1] https://github.com/fedora-python/python2-spec/commit/9e09f0f095c684e3bddfb6ec1ab4e437fc9f467a

Comment 5 Miro Hrončok 2016-12-09 11:15:36 UTC
Review exception granted: https://fedorahosted.org/fpc/ticket/660#comment:2

One thing: Please change source URL to use https (geppetto, 17:11:52)

After you do that or any necessary changes as well, post again Spec and SRPM URL and I will double check the new obsoletes/provides.

Comment 7 Neal Gompa 2016-12-09 12:30:08 UTC
(In reply to Charalampos Stratakis from comment #3)
>
> Also removed the provides for python-abi (as only python(abi) is required by
> other packages).
> 

This is still a system Python package, so shouldn't that be there?

Comment 8 Miro Hrončok 2017-01-10 12:37:25 UTC
(In reply to Neal Gompa from comment #7)
> (In reply to Charalampos Stratakis from comment #3)
> >
> > Also removed the provides for python-abi (as only python(abi) is required by
> > other packages).
> > 
> 
> This is still a system Python package, so shouldn't that be there?

Nothing requires python-abi.




(In reply to Charalampos Stratakis from comment #6)
> https://github.com/fedora-python/python2-spec/commit/
> ce1eee682beab6c572b56f47de4c4751e28e2813
> 
> Done.
> 
> Reposting the links:
> 
> SPEC:
> https://raw.githubusercontent.com/fedora-python/python2-spec/py2rename/
> python2.spec
> 
> SRPM: https://cstratak.fedorapeople.org/python2-2.7.12-9.fc26.src.rpm

Checked the upgrade path. It worked. Double checked all the provides and obsoletes:

(Lines after line breaks are obsoletes).

python2:
    python = 2.7.12-9.fc26
    python(abi) = 2.7
    python(x86-64) = 2.7.12-9.fc26
    python2 = 2.7.12-9.fc26
    python2(x86-64) = 2.7.12-9.fc26
    python27 = 2.7.12-9.fc26

    python < 2.7.12-9


python2-debug:
    libpython2.7_d.so.1.0()(64bit)
    pkgconfig(python-2.7-debug) = 2.7
    pkgconfig(python-debug) = 2.7
    pkgconfig(python2-debug) = 2.7
    python-debug = 2.7.12-9.fc26
    python-debug(x86-64) = 2.7.12-9.fc26
    python2-debug = 2.7.12-9.fc26
    python2-debug(x86-64) = 2.7.12-9.fc26

    python-debug < 2.7.12-9


python2-devel:
    pkgconfig(python) = 2.7
    pkgconfig(python-2.7) = 2.7
    pkgconfig(python2) = 2.7
    python-devel = 2.7.12-9.fc26
    python-devel(x86-64) = 2.7.12-9.fc26
    python2-devel = 2.7.12-9.fc26
    python2-devel(x86-64) = 2.7.12-9.fc26

    python-devel < 2.7.12-9


python2-libs:
    libpython2.7.so.1.0()(64bit)
    python(abi) = 2.7
    python-libs = 2.7.12-9.fc26
    python-libs(x86-64) = 2.7.12-9.fc26
    python2-libs = 2.7.12-9.fc26
    python2-libs(x86-64) = 2.7.12-9.fc26
    python2.7dist(python) = 2.7.12
    python2dist(python) = 2.7.12

    python-libs < 2.7.12-9


python2-test:
    python-test = 2.7.12-9.fc26
    python-test(x86-64) = 2.7.12-9.fc26
    python2-test = 2.7.12-9.fc26
    python2-test(x86-64) = 2.7.12-9.fc26

    python-test < 2.7.12-9


python2-tkinter:
    python-tkinter = 2.7.12-9.fc26
    python-tkinter(x86-64) = 2.7.12-9.fc26
    python2-tkinter = 2.7.12-9.fc26
    python2-tkinter(x86-64) = 2.7.12-9.fc26
    tkinter = 2.7.12-9.fc26
    tkinter(x86-64) = 2.7.12-9.fc26
    tkinter2 = 2.7.12-9.fc26
    tkinter2(x86-64) = 2.7.12-9.fc26

    tkinter < 2.7.12-9


python2-tools:
    python-tools = 2.7.12-9.fc26
    python-tools(x86-64) = 2.7.12-9.fc26
    python2-tools = 2.7.12-9.fc26
    python2-tools(x86-64) = 2.7.12-9.fc26

    python-tools < 2.7.12-9


Package APPROVED.

Comment 9 Gwyn Ciesla 2017-01-10 14:41:30 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python2


Note You need to log in before you can comment on or make changes to this bug.